Jump to content
Andrew1979

Free Calculaors for specific tasks

Recommended Posts

Andrew1979

I have a free calculators on my website if anyone finds them of use. They aren't super needed but I wrote them anyway for something to do.

They are written in VB.net and are stand alone simple .exe files.

No virus's or malware or any of that rubbish....just simple calculators

 

I have one that is a calculator for determining the hip roof angle of a roof with 2 different roof pitch. I have only seen this scenario only a few times in my working life so don't expect a rush of people to need it.

 

The other 2 are slope calculators.

 

They are here on my website under the free stuff web page I have.

http://thirdistudio.com.au/Tools.html

 

There are images on there so you can see what the calculators look like

Edited by Andrew1979

Share this post


Link to post
Share on other sites
Organic

The angle ones look like good simple programs.

Share this post


Link to post
Share on other sites
BIGAL

I took a go at two roof pitches having been involved in a architectural addon and its not that hard to do in autocad manually or the smart way via lisp. you take your 3 walls offet them say 450mm fillet them this is eave line. draw a line 30degrees from one of the corners past the mid point draw a line from midpoint past 30 deg line and fillet. Use rotate3d and stand up this gives a ridge line pt for 30 deg do the same for 25deg wall but make line longer rotate3d and you have two crossing 3d lines, using apparent intersection it will allow you pick 3d point. Hopefully the image illustrates the manual method.

 

Back to lisp (setq 3dintpt (vlax-invoke obj2 'intersectWith obj1 acExtendThisEntity)) the green lines are obj1 and obj2 then use 3dlines pline or pface to make roof.

 

ScreenShot027.jpg

ScreenShot028.jpg

Share this post


Link to post
Share on other sites
BIGAL

3 different roof pitches using rotate 3d and just fillet the ridge with the end slope line. Note ridge is not centered but pitch angle is based on the correct point from ridge.

 

ScreenShot030.jpg

Share this post


Link to post
Share on other sites
f700es
Screenshot_1.jpgWhile a slick little program for sure I learned to build the roof plan from the elevations. Arrange and rotate the elevations around the roof plan and use construction lines to assemble the roof plan.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×